Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1203134 - Review Request: php-pecl-apfd - Always Populate Form Data
Summary: Review Request: php-pecl-apfd - Always Populate Form Data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 08:31 UTC by Remi Collet
Modified: 2015-05-08 07:43 UTC (History)
2 users (show)

Fixed In Version: php-pecl-apfd-1.0.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-08 07:26:56 UTC
Type: ---
Embargoed:
shawn: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
fedora-review.txt (deleted)
2015-04-25 21:41 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-03-18 08:31:14 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/bcb779b973189620b8f290edaeb8142cc7bdd36f/php/pecl/php-pecl-apfd/php-pecl-apfd.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-apfd-1.0.0-2.remi.src.rpm
Description: 
This tiny extension lets PHP's post handler parse `multipart/form-data` and
`application/x-www-form-urlencoded` (or any other customly registered form data
handler, like "json_post") without regard to the request's request method.

This extension does not provide any INI entries, constants, functions or classes.


Fedora Account System Username: remi

--

This extension is a split off pecl/http, so the conflicts with version < 2.4.
Version 2.4 will require this extension for smooth update in fedora < 22.

Comment 1 Remi Collet 2015-03-18 08:46:13 UTC
Here is the update for pecl_http 2.4 (in my repo)

https://github.com/remicollet/remirepo/commit/0854ec65074feb8b0654e76e78a34285a1b90a65

Comment 3 Shawn Iwinski 2015-04-25 21:41:57 UTC
Created attachment 1018902 [details]
fedora-review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1203134
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Shawn Iwinski 2015-04-25 21:42:41 UTC
No blockers.


===== APPROVED =====

Comment 5 Remi Collet 2015-04-26 06:50:14 UTC
Thanks!

New Package SCM Request
=======================
Package Name: php-pecl-apfd
Short Description: Always Populate Form Data
Upstream URL: http://pecl.php.net/package/apfd
Owners: remi
Branches: f21 f22 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2015-04-26 15:55:43 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-04-26 16:48:11 UTC
php-pecl-apfd-1.0.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-pecl-apfd-1.0.1-1.fc22

Comment 8 Fedora Update System 2015-04-26 16:48:17 UTC
php-pecl-apfd-1.0.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-pecl-apfd-1.0.1-1.fc21

Comment 9 Fedora Update System 2015-04-27 08:43:28 UTC
php-pecl-apfd-1.0.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 10 Fedora Update System 2015-05-08 07:26:56 UTC
php-pecl-apfd-1.0.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2015-05-08 07:43:30 UTC
php-pecl-apfd-1.0.1-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.